# Installation guide

There are multiple ways to install YunoHost. The process may differ slightly depending on whether it takes place at home or on a remote server, and depending on the hardware used: **[See the requirements](/hardware)**

This page lists a few installation guides.

---

<h1 style="font-weight: 100">Give it a try</h1>

<div class="row">

<div class="col col-md-3 text-center">
<a href="/try"><img height=150 src="/images/logo.png" style="vertical-align:bottom"><b><p>Demo server</p></b></a>
</div>

<div class="col col-md-3 text-center">
<a href="/install_on_virtualbox"><img src="/images/virtualbox.png" height=150 style="vertical-align:bottom"><b><p>Try in VirtualBox</p></b></a>
</div>

</div>




</div>

<br>

---

<h1 style="font-weight: 100">Install at home</h1>

<div class="row">

<div class="col col-md-3 text-center">
<a href="/install_on_raspberry"><img src="/images/raspberrypi.jpg" height=150 style="vertical-align:bottom"><b><p>On a Raspberry Pi</p></b></a>
</div>

<div class="col col-md-3 text-center">
<a href="/install_on_arm_board"><img src="/images/olinuxino.jpg" height=150 style="vertical-align:bottom; padding:20px"><b><p>On an ARM board</p></b></a>
</div>

<div class="col col-md-3 text-center">
<a href="/install_iso"><img src="/images/computer.png" height=150 style="vertical-align:bottom"><b><p>On a regular computer</p></b></a>
</div>

</div>

<br>


---

<h1 style="font-weight: 100">Install on a remote server</h1>

<div class="alert alert-info" markdown="1">
<span class="glyphicon glyphicon-heart"></span> Local associative ISP near you might be able to provide you with a *Virtual Private Server* (VPS), managed by human beings who respect users and care about [Net Neutrality](https://en.wikipedia.org/wiki/Net_neutrality) ! Check out [this page](https://db.ffdn.org/) for more information.
</div>

<div class="row">

<div class="block-center text-center">
<a href="/install_on_vps"><img src="/images/vps.png" height=150 style="vertical-align:bottom; text-align:center"><b><p>On a dedicated or virtual private server</p></b></a>
</div>

</div>

<br>

---

<h1 style="font-weight: 100">Advanced / others</h1>

<div class="row">

<div class="col col-md-3 text-center">
<a href="/vagrant"><img src="/images/vagrant.png" height=150 style="vertical-align:bottom"><b><p>On Vagrant</p></b></a>
</div>

<div class="col col-md-3 text-center">
<a href="/install_on_debian"><img height=150 src="/images/debian-logo.png" style="vertical-align:bottom">
<b><p>On Debian 9/Stretch</p></b></a>
</div>

</div>

<br>
